webkit-0.12.3: Binding to the Webkit library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.WebKit.WebWindowFeatures

Contents

- Description
- Types
- Constructors
- Methods
- Attributes

Description

Access to the WebKit Web WindowFeatures

Synopsis

- data WebWindowFeatures
- class GObjectClass o => WebWindowFeaturesClass o
- webWindowFeaturesNew :: IO WebWindowFeatures
- webWindowFeaturesEqual :: (WebWindowFeaturesClass winA, WebWindowFeaturesClass winB) => winA -> winB -> IO Bool
- webWindowFeaturesFullscreen :: WebWindowFeaturesClass self => Attr self Bool
- webWindowFeaturesHeight :: WebWindowFeaturesClass self => Attr self Int
- webWindowFeaturesWidth :: WebWindowFeaturesClass self => Attr self Int
- webWindowFeaturesX :: WebWindowFeaturesClass self => Attr self Int
- webWindowFeaturesY :: WebWindowFeaturesClass self => Attr self Int
- webWindowFeaturesLocationbarVisible :: WebWindowFeaturesClass self => Attr self Bool
- webWindowFeaturesMenubarVisible :: WebWindowFeaturesClass self => Attr self Bool
- webWindowFeaturesScrollbarVisible :: WebWindowFeaturesClass self => Attr self Bool
- webWindowFeaturesStatusbarVisible :: WebWindowFeaturesClass self => Attr self Bool
- webWindowFeaturesToolbarVisible :: WebWindowFeaturesClass self => Attr self Bool

# Description

The content of a WebKitWebView can request to change certain properties of a WebKitWebView. This can include the x, y position of the window, the width and height but also if a toolbar, scrollbar, statusbar, locationbar should be visible to the user, the request to show the WebKitWebView fullscreen.

In the normal case one will use `webViewGetWindowFeatures` to get the WebKitWebWindowFeatures and then monitor the property changes. Be aware that the WebKitWebWindowFeatures might change change before `webViewReady` signal is emitted. To be safe listen to the `windowFeatures` signal of the WebKitWebView and reconnect the signals whenever the WebKitWebWindowFeatures of a WebKitWebView changes.

# Types

data WebWindowFeatures Source

Instances

Eq WebWindowFeatures |
Ord WebWindowFeatures |
GObjectClass WebWindowFeatures |
WebWindowFeaturesClass WebWindowFeatures |

class GObjectClass o => WebWindowFeaturesClass o Source

Instances

WebWindowFeaturesClass WebWindowFeatures |

# Constructors

webWindowFeaturesNew :: IO WebWindowFeatures Source

Creates a new `WebWindowFeatures` instance with default values. It must be manually attached to a WebView.

# Methods

webWindowFeaturesEqual :: (WebWindowFeaturesClass winA, WebWindowFeaturesClass winB) => winA -> winB -> IO Bool Source

Decides if a `WebWindowFeatures` instance equals another, as in has the same values.

# Attributes

webWindowFeaturesFullscreen :: WebWindowFeaturesClass self => Attr self Bool Source

Controls whether window will be displayed fullscreen.

webWindowFeaturesHeight :: WebWindowFeaturesClass self => Attr self Int Source

The height of the window on the screen.

webWindowFeaturesWidth :: WebWindowFeaturesClass self => Attr self Int Source

The width of the window on the screen.

webWindowFeaturesX :: WebWindowFeaturesClass self => Attr self Int Source

The starting x position of the window on the screen.

webWindowFeaturesY :: WebWindowFeaturesClass self => Attr self Int Source

The starting y position of the window on the screen.

webWindowFeaturesLocationbarVisible :: WebWindowFeaturesClass self => Attr self Bool Source

Controls whether the locationbar should be visible for the window.

webWindowFeaturesMenubarVisible :: WebWindowFeaturesClass self => Attr self Bool Source

Controls whether the menubar should be visible for the window.

webWindowFeaturesScrollbarVisible :: WebWindowFeaturesClass self => Attr self Bool Source

Controls whether the scrollbar should be visible for the window.

webWindowFeaturesStatusbarVisible :: WebWindowFeaturesClass self => Attr self Bool Source

Controls whether the statusbar should be visible for the window.

webWindowFeaturesToolbarVisible :: WebWindowFeaturesClass self => Attr self Bool Source

Controls whether the toolbar should be visible for the window.